Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::BER_Bad_Tag Class Referencefinal

`#include <asn1_obj.h>`

Inheritance diagram for Botan::BER_Bad_Tag:

## Public Member Functions
| BER_Bad_Tag (const std::string &msg, ASN1_Tag tag)
| BER_Bad_Tag (const std::string &msg, ASN1_Tag tag1, ASN1_Tag tag2)
virtual int | error_code () const noexcept
ErrorType | error_type () const noexcept override
const char * | what () const noexcept override

## Detailed Description

Exception For Incorrect BER Taggings

Definition at line 183 of file asn1_obj.h.

## Constructor & Destructor Documentation

## ◆ BER_Bad_Tag() [1/2]

Botan::BER_Bad_Tag::BER_Bad_Tag | ( | const std::string & | msg,
|  | ASN1_Tag | tag
| ) |  |

Definition at line 183 of file asn1_obj.cpp.

183 :
184 BER_Decoding_Error(str + ": " + std::to_string(tag)) {}
Botan::BER_Decoding_Error::BER_Decoding_Error
BER_Decoding_Error(const std::string &)
Definition: asn1_obj.cpp:180
Botan::ASN1::to_string
std::string to_string(const BER_Object &obj)
Definition: asn1_obj.cpp:213

## ◆ BER_Bad_Tag() [2/2]

Botan::BER_Bad_Tag::BER_Bad_Tag | ( | const std::string & | msg,
|  | ASN1_Tag | tag1,
|  | ASN1_Tag | tag2
| ) |  |

Definition at line 186 of file asn1_obj.cpp.

187 :
188 BER_Decoding_Error(str + ": " + std::to_string(tag1) + "/" + std::to_string(tag2)) {}

## Member Function Documentation

## ◆ error_code()

virtual int Botan::Exception::error_code | ( |  | ) | const
| inline virtual noexcept inherited

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented in Botan::Compression_Error, Botan_FFI::FFI_Error, Botan::CommonCrypto_Error, Botan::PKCS11::PKCS11_ReturnError, Botan::TLS::TLS_Exception, Botan::SQL_Database::SQL_DB_Error, and Botan::System_Error.

Definition at line 112 of file exceptn.h.

112{ return 0; }

## ◆ error_type()

ErrorType Botan::Decoding_Error::error_type | ( |  | ) | const
| inline override virtual noexcept inherited

Return the "type" of error which occurred.

Reimplemented from Botan::Invalid_Argument.

Definition at line 208 of file exceptn.h.

208{ return ErrorType::DecodingFailure; }
Botan::ErrorType::DecodingFailure
@ DecodingFailure

References Botan::DecodingFailure.

## ◆ what()

const char * Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

96{ return m_msg.c_str(); }

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), and Botan_FFI::ffi_guard_thunk().

The documentation for this class was generated from the following files:

- src/lib/asn1/asn1_obj.h
- src/lib/asn1/asn1_obj.cpp